- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
DataObject Class Reference

## Public Member Functions
| DataObject (FORMATETC *fmtetc, STGMEDIUM *stgmed, int count)
HRESULT __stdcall | QueryInterface (REFIID iid, void **ppvObject)
ULONG __stdcall | AddRef ()
ULONG __stdcall | Release ()
HRESULT __stdcall | GetData (FORMATETC *pFormatEtc, STGMEDIUM *pmedium)
HRESULT __stdcall | GetDataHere (FORMATETC *pFormatEtc, STGMEDIUM *pmedium)
HRESULT __stdcall | QueryGetData (FORMATETC *pFormatEtc)
HRESULT __stdcall | GetCanonicalFormatEtc (FORMATETC *pFormatEct, FORMATETC *pFormatEtcOut)
HRESULT __stdcall | SetData (FORMATETC *pFormatEtc, STGMEDIUM *pMedium, BOOL fRelease)
HRESULT __stdcall | EnumFormatEtc (DWORD dwDirection, IEnumFORMATETC **ppEnumFormatEtc)
HRESULT __stdcall | DAdvise (FORMATETC *pFormatEtc, DWORD advf, IAdviseSink *, DWORD *)
HRESULT __stdcall | DUnadvise (DWORD dwConnection)
HRESULT __stdcall | EnumDAdvise (IEnumSTATDATA **ppEnumAdvise)